/*

  Copyright (C) 2001 StrmnNrmn

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/


#ifndef __PSPDAEDALUSGRAPHICS_H__
#define __PSPDAEDALUSGRAPHICS_H__

enum EViewportType
{
	VT_UNSCALED_4_3 = 0,
	VT_SCALED_4_3,
	VT_FULLSCREEN,

	NUM_VIEWPORT_TYPES,
};

enum EFrameskipValue
{
	FV_DISABLED = 0,
	FV_1,
	FV_2,
	FV_3,
	FV_4,
	FV_5,
	FV_6,
	FV_7,
	FV_8,
	FV_9,
	FV_10,

	NUM_FRAMESKIP_VALUES,
};

extern EViewportType gViewportType;
extern EFrameskipValue gFrameskipValue;


extern bool PSPGraphics_Initialise();
extern void PSPGraphics_Finalise();
extern void PSPGraphics_ProcessDisplayList(void);
extern void PSPGraphics_OnVbl();

#endif // __PSPDAEDALUSGRAPHICS_H__
