/*
Copyright (C) 2001 StrmnNrmn

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#ifndef __CONVERTIMAGE_H__
#define __CONVERTIMAGE_H__

class CTexture;
struct TextureInfo;

void ConvertRGBA16(CTexture *pSurf, const TextureInfo & ti);
void ConvertRGBA32(CTexture *pSurf, const TextureInfo & ti);

void ConvertIA4(CTexture *pSurf, const TextureInfo & ti);
void ConvertIA8(CTexture *pSurf, const TextureInfo & ti);
void ConvertIA16(CTexture *pSurf, const TextureInfo & ti);

void ConvertI4(CTexture *pSurf, const TextureInfo & ti);
void ConvertI8(CTexture *pSurf, const TextureInfo & ti);

void ConvertCI4_RGBA16(CTexture *pSurf, const TextureInfo & ti);
void ConvertCI4_IA16(CTexture *pSurf, const TextureInfo & ti);
void ConvertCI8_RGBA16(CTexture *pSurf, const TextureInfo & ti);
void ConvertCI8_IA16(CTexture *pSurf, const TextureInfo & ti);


#endif
