/*
Copyright (C) 2006 StrmnNrmn

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/


#include "stdafx.h"
#include "ZlibWrapper.h"

#include <zlib.h>

//
//	Although this looks pretty redundant, it allows us to get around
//	various issues realating to compiling the project with __fastcall
//	as the default calling convention.
//

namespace Zlib
{
	typedef void *	gzFile;

	gzFile	gzopen( const char * filename, const char * mode )
	{
		return ::gzopen( filename, mode );
	}

	void	gzclose( gzFile fh )
	{
		::gzclose( fh );
	}

	u32		gzwrite( gzFile fh, const void * buffer, u32 length )
	{
		return ::gzwrite( fh, buffer, length );
	}

	u32		gzread( gzFile fh, void * buffer, u32 length )
	{
		return ::gzread( fh, buffer, length );
	}
}

